﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="C1GridView_Sample.WebForm1" %>

<%@ Register Assembly="C1.Web.Wijmo.Controls.4" Namespace="C1.Web.Wijmo.Controls.C1GridView"
    TagPrefix="wijmo" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript" src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
    <script type="text/javascript">

        var loaded = false;

        function ClientRendered(e, args) {
            var cookie = document.cookie;
            if (cookie != undefined) {
                var scrollToRow = document.cookie.Substring(document.cookie.IndexOf('=') + 1);
                if (scrollToRow != "") {
                    var superPanel = $(".wijmo-wijgrid").find(".wijmo-wijsuperpanel");
                    $(superPanel).wijsuperpanel("option", "vScroller").scrollValue = scrollToRow;
                    $(superPanel).wijsuperpanel("paintPanel");
                }
            }
        }

        function ClientLoaded(e, args) {
            loaded = true;
        }

        function ClientSelectionChanged(e, args) {
            if (loaded) {
                var scrollPosition = $(".wijmo-wijgrid").find(".wijmo-wijsuperpanel").wijsuperpanel("option", "vScroller").scrollValue;
                var date = new Date();
                date.setTime(date.getTime() + 30000);
                document.cookie = 'scrollPosition=' + scrollPosition + '; expires=' + date + '; path=/'
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <wijmo:C1GridView ID="C1GridView1" runat="server" AllowClientEditing="True" AutogenerateColumns="False"
            Height="400px" ScrollMode="Both" OnClientSelectionChanged="ClientSelectionChanged"
            OnClientLoaded="ClientLoaded" OnClientRendered="ClientRendered" ClientSelectionMode="SingleRow"
            DataSourceID="AccessDataSource1" DataKeyNames="CustomerID" Width="870px">
            <Columns>
                <wijmo:C1HyperLinkField NavigateUrl="WebForm2.aspx" Text="Edit">
                </wijmo:C1HyperLinkField>
                <wijmo:C1BoundField DataField="CustomerID" HeaderText="CustomerID" ReadOnly="True"
                    SortExpression="CustomerID">
                </wijmo:C1BoundField>
                <wijmo:C1BoundField DataField="CompanyName" HeaderText="CompanyName" SortExpression="CompanyName">
                </wijmo:C1BoundField>
                <wijmo:C1BoundField DataField="ContactName" HeaderText="ContactName" SortExpression="ContactName">
                </wijmo:C1BoundField>
                <wijmo:C1BoundField DataField="ContactTitle" HeaderText="ContactTitle" SortExpression="ContactTitle">
                </wijmo:C1BoundField>
                <wijmo:C1BoundField DataField="City" HeaderText="City" SortExpression="City">
                </wijmo:C1BoundField>
                <wijmo:C1BoundField DataField="Country" HeaderText="Country" SortExpression="Country">
                </wijmo:C1BoundField>
            </Columns>
        </wijmo:C1GridView>
    </div>
    <asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/App_Data/C1NWind.mdb"
        SelectCommand="SELECT [CustomerID], [CompanyName], [ContactName], [ContactTitle], [City], [Country] FROM [Customers]"
        DeleteCommand="DELETE FROM [Customers] WHERE (([CustomerID] = ?) OR ([CustomerID] IS NULL AND ? IS NULL))"
        InsertCommand="INSERT INTO [Customers] ([CustomerID], [CompanyName], [ContactName], [ContactTitle], [City], [Country]) VALUES (?, ?, ?, ?, ?, ?)"
        UpdateCommand="UPDATE [Customers] SET [CompanyName] = ?, [ContactName] = ?, [ContactTitle] = ?, [City] = ?, [Country] = ? WHERE (([CustomerID] = ?) OR ([CustomerID] IS NULL AND ? IS NULL))">
        <DeleteParameters>
            <asp:Parameter Name="CustomerID" Type="String" />
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="CustomerID" Type="String" />
            <asp:Parameter Name="CompanyName" Type="String" />
            <asp:Parameter Name="ContactName" Type="String" />
            <asp:Parameter Name="ContactTitle" Type="String" />
            <asp:Parameter Name="City" Type="String" />
            <asp:Parameter Name="Country" Type="String" />
        </InsertParameters>
        <UpdateParameters>
            <asp:Parameter Name="CompanyName" Type="String" />
            <asp:Parameter Name="ContactName" Type="String" />
            <asp:Parameter Name="ContactTitle" Type="String" />
            <asp:Parameter Name="City" Type="String" />
            <asp:Parameter Name="Country" Type="String" />
            <asp:Parameter Name="CustomerID" Type="String" />
        </UpdateParameters>
    </asp:AccessDataSource>
    </form>
</body>
</html>
